#!/bin/bash

# This helper script will handle uninstalling elasticache
#
# /scripts/remove-elasticache.sh
#

set -e

source /scripts/utils.sh

check_access ${appsNamespace} secrets

echo "Deleting external configmap ${namingPrefix}-endpoint"
run_cmd kubectl --namespace ${appsNamespace} delete configmap ${namingPrefix}-endpoint --ignore-not-found
run_cmd kubectl --namespace ${infraNamespace} delete configmap ${namingPrefix}-endpoint --ignore-not-found

# Deprecated - will be removed in 1.0 release
echo "Deleting external service ${dbServiceClusterEndpointShortName} from namespace ${appsNamespace}"
run_cmd kubectl --namespace ${appsNamespace} delete service ${dbServiceClusterEndpointShortName} --ignore-not-found

echo "Kubernetes outputs cleanup complete, use cloud custodian tool to delete AWS resources"
echo "$0 done "
